Patch business
curl --request PATCH \
--url https://api-sandbox.synctera.com/v0/businesses/{business_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"compliance_restrictions": [
"LICENSED_CANNABIS"
],
"ein": "12-3456789",
"email": "alice@example.com",
"entity_name": "Apex Corporation",
"formation_date": "2000-01-01",
"formation_state": "NY",
"is_customer": true,
"metadata": {},
"phone_number": "+14374570680",
"spend_control_ids": [
"7d943c51-e4ff-4e57-9558-08cab6b963c7"
],
"structure": "CORPORATION",
"tenant": "abcdef_ghijkl",
"trade_names": [
"Apex",
"Apex LLC",
"CorporationID#77231"
],
"website": "https://example.com"
}
'import requests
url = "https://api-sandbox.synctera.com/v0/businesses/{business_id}"
payload = {
"compliance_restrictions": ["LICENSED_CANNABIS"],
"ein": "12-3456789",
"email": "alice@example.com",
"entity_name": "Apex Corporation",
"formation_date": "2000-01-01",
"formation_state": "NY",
"is_customer": True,
"metadata": {},
"phone_number": "+14374570680",
"spend_control_ids": ["7d943c51-e4ff-4e57-9558-08cab6b963c7"],
"structure": "CORPORATION",
"tenant": "abcdef_ghijkl",
"trade_names": ["Apex", "Apex LLC", "CorporationID#77231"],
"website": "https://example.com"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
compliance_restrictions: ['LICENSED_CANNABIS'],
ein: '12-3456789',
email: 'alice@example.com',
entity_name: 'Apex Corporation',
formation_date: '2000-01-01',
formation_state: 'NY',
is_customer: true,
metadata: {},
phone_number: '+14374570680',
spend_control_ids: ['7d943c51-e4ff-4e57-9558-08cab6b963c7'],
structure: 'CORPORATION',
tenant: 'abcdef_ghijkl',
trade_names: ['Apex', 'Apex LLC', 'CorporationID#77231'],
website: 'https://example.com'
})
};
fetch('https://api-sandbox.synctera.com/v0/businesses/{business_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api-sandbox.synctera.com/v0/businesses/{business_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'compliance_restrictions' => [
'LICENSED_CANNABIS'
],
'ein' => '12-3456789',
'email' => 'alice@example.com',
'entity_name' => 'Apex Corporation',
'formation_date' => '2000-01-01',
'formation_state' => 'NY',
'is_customer' => true,
'metadata' => [
],
'phone_number' => '+14374570680',
'spend_control_ids' => [
'7d943c51-e4ff-4e57-9558-08cab6b963c7'
],
'structure' => 'CORPORATION',
'tenant' => 'abcdef_ghijkl',
'trade_names' => [
'Apex',
'Apex LLC',
'CorporationID#77231'
],
'website' => 'https://example.com'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api-sandbox.synctera.com/v0/businesses/{business_id}"
payload := strings.NewReader("{\n \"compliance_restrictions\": [\n \"LICENSED_CANNABIS\"\n ],\n \"ein\": \"12-3456789\",\n \"email\": \"alice@example.com\",\n \"entity_name\": \"Apex Corporation\",\n \"formation_date\": \"2000-01-01\",\n \"formation_state\": \"NY\",\n \"is_customer\": true,\n \"metadata\": {},\n \"phone_number\": \"+14374570680\",\n \"spend_control_ids\": [\n \"7d943c51-e4ff-4e57-9558-08cab6b963c7\"\n ],\n \"structure\": \"CORPORATION\",\n \"tenant\": \"abcdef_ghijkl\",\n \"trade_names\": [\n \"Apex\",\n \"Apex LLC\",\n \"CorporationID#77231\"\n ],\n \"website\": \"https://example.com\"\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://api-sandbox.synctera.com/v0/businesses/{business_id}")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"compliance_restrictions\": [\n \"LICENSED_CANNABIS\"\n ],\n \"ein\": \"12-3456789\",\n \"email\": \"alice@example.com\",\n \"entity_name\": \"Apex Corporation\",\n \"formation_date\": \"2000-01-01\",\n \"formation_state\": \"NY\",\n \"is_customer\": true,\n \"metadata\": {},\n \"phone_number\": \"+14374570680\",\n \"spend_control_ids\": [\n \"7d943c51-e4ff-4e57-9558-08cab6b963c7\"\n ],\n \"structure\": \"CORPORATION\",\n \"tenant\": \"abcdef_ghijkl\",\n \"trade_names\": [\n \"Apex\",\n \"Apex LLC\",\n \"CorporationID#77231\"\n ],\n \"website\": \"https://example.com\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api-sandbox.synctera.com/v0/businesses/{business_id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"compliance_restrictions\": [\n \"LICENSED_CANNABIS\"\n ],\n \"ein\": \"12-3456789\",\n \"email\": \"alice@example.com\",\n \"entity_name\": \"Apex Corporation\",\n \"formation_date\": \"2000-01-01\",\n \"formation_state\": \"NY\",\n \"is_customer\": true,\n \"metadata\": {},\n \"phone_number\": \"+14374570680\",\n \"spend_control_ids\": [\n \"7d943c51-e4ff-4e57-9558-08cab6b963c7\"\n ],\n \"structure\": \"CORPORATION\",\n \"tenant\": \"abcdef_ghijkl\",\n \"trade_names\": [\n \"Apex\",\n \"Apex LLC\",\n \"CorporationID#77231\"\n ],\n \"website\": \"https://example.com\"\n}"
response = http.request(request)
puts response.read_body{
"is_customer": true,
"status": "ACTIVE",
"addresses": [
{
"address_line_1": "100 Main St.",
"country_code": "US",
"address_line_2": "Suite 99",
"address_type": "SHIPPING",
"city": "New York",
"id": "7d943c51-e4ff-4e57-9558-08cab6b963c7",
"is_registered_agent": true,
"nickname": "Home",
"postal_code": "28620",
"state": "NY"
}
],
"classifications": [
"AUTHORIZED_USER"
],
"compliance_restrictions": [
"LICENSED_CANNABIS"
],
"creation_time": "2010-05-06T12:23:34.321Z",
"customer_active": "2010-05-06T12:23:34.321Z",
"ein": "12-3456789",
"email": "alice@example.com",
"entity_name": "Apex Corporation",
"formation_date": "2000-01-01",
"formation_state": "NY",
"has_accounts": true,
"id": "7d943c51-e4ff-4e57-9558-08cab6b963c7",
"last_updated_time": "2010-05-06T12:23:34.321Z",
"legal_address": {
"address_line_1": "100 Main St.",
"country_code": "US",
"address_line_2": "Suite 99",
"address_type": "SHIPPING",
"city": "New York",
"id": "7d943c51-e4ff-4e57-9558-08cab6b963c7",
"is_registered_agent": true,
"nickname": "Home",
"postal_code": "28620",
"state": "NY"
},
"metadata": {},
"phone_number": "+14374570680",
"spend_control_ids": [
"7d943c51-e4ff-4e57-9558-08cab6b963c7"
],
"structure": "CORPORATION",
"tenant": "abcdef_ghijkl",
"trade_names": [
"Apex",
"Apex LLC",
"CorporationID#77231"
],
"verification_last_run": "2010-05-06T12:23:34.321Z",
"verification_status": "ACCEPTED",
"website": "https://example.com",
"vendor_info": {
"vendor_data": {
"loanpro": {
"customer_id": 12345
}
},
"vendor_type": "LOANPRO"
}
}{
"code": "BAD_REQUEST_BODY",
"detail": "missing required fields: first_name, dob",
"status": 400,
"title": "Bad Request Body",
"type": "https://dev.synctera.com/errors/bad-request-body"
}{
"code": "BAD_REQUEST_BODY",
"detail": "missing required fields: first_name, dob",
"status": 400,
"title": "Bad Request Body",
"type": "https://dev.synctera.com/errors/bad-request-body"
}{
"code": "BAD_REQUEST_BODY",
"detail": "missing required fields: first_name, dob",
"status": 400,
"title": "Bad Request Body",
"type": "https://dev.synctera.com/errors/bad-request-body"
}{
"code": "BAD_REQUEST_BODY",
"detail": "missing required fields: first_name, dob",
"status": 400,
"title": "Bad Request Body",
"type": "https://dev.synctera.com/errors/bad-request-body"
}{
"code": "BAD_REQUEST_BODY",
"detail": "missing required fields: first_name, dob",
"status": 400,
"title": "Bad Request Body",
"type": "https://dev.synctera.com/errors/bad-request-body"
}Businesses
Patch business
Update business by ID.
PATCH
/
businesses
/
{business_id}
Patch business
curl --request PATCH \
--url https://api-sandbox.synctera.com/v0/businesses/{business_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"compliance_restrictions": [
"LICENSED_CANNABIS"
],
"ein": "12-3456789",
"email": "alice@example.com",
"entity_name": "Apex Corporation",
"formation_date": "2000-01-01",
"formation_state": "NY",
"is_customer": true,
"metadata": {},
"phone_number": "+14374570680",
"spend_control_ids": [
"7d943c51-e4ff-4e57-9558-08cab6b963c7"
],
"structure": "CORPORATION",
"tenant": "abcdef_ghijkl",
"trade_names": [
"Apex",
"Apex LLC",
"CorporationID#77231"
],
"website": "https://example.com"
}
'import requests
url = "https://api-sandbox.synctera.com/v0/businesses/{business_id}"
payload = {
"compliance_restrictions": ["LICENSED_CANNABIS"],
"ein": "12-3456789",
"email": "alice@example.com",
"entity_name": "Apex Corporation",
"formation_date": "2000-01-01",
"formation_state": "NY",
"is_customer": True,
"metadata": {},
"phone_number": "+14374570680",
"spend_control_ids": ["7d943c51-e4ff-4e57-9558-08cab6b963c7"],
"structure": "CORPORATION",
"tenant": "abcdef_ghijkl",
"trade_names": ["Apex", "Apex LLC", "CorporationID#77231"],
"website": "https://example.com"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
compliance_restrictions: ['LICENSED_CANNABIS'],
ein: '12-3456789',
email: 'alice@example.com',
entity_name: 'Apex Corporation',
formation_date: '2000-01-01',
formation_state: 'NY',
is_customer: true,
metadata: {},
phone_number: '+14374570680',
spend_control_ids: ['7d943c51-e4ff-4e57-9558-08cab6b963c7'],
structure: 'CORPORATION',
tenant: 'abcdef_ghijkl',
trade_names: ['Apex', 'Apex LLC', 'CorporationID#77231'],
website: 'https://example.com'
})
};
fetch('https://api-sandbox.synctera.com/v0/businesses/{business_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api-sandbox.synctera.com/v0/businesses/{business_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'compliance_restrictions' => [
'LICENSED_CANNABIS'
],
'ein' => '12-3456789',
'email' => 'alice@example.com',
'entity_name' => 'Apex Corporation',
'formation_date' => '2000-01-01',
'formation_state' => 'NY',
'is_customer' => true,
'metadata' => [
],
'phone_number' => '+14374570680',
'spend_control_ids' => [
'7d943c51-e4ff-4e57-9558-08cab6b963c7'
],
'structure' => 'CORPORATION',
'tenant' => 'abcdef_ghijkl',
'trade_names' => [
'Apex',
'Apex LLC',
'CorporationID#77231'
],
'website' => 'https://example.com'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api-sandbox.synctera.com/v0/businesses/{business_id}"
payload := strings.NewReader("{\n \"compliance_restrictions\": [\n \"LICENSED_CANNABIS\"\n ],\n \"ein\": \"12-3456789\",\n \"email\": \"alice@example.com\",\n \"entity_name\": \"Apex Corporation\",\n \"formation_date\": \"2000-01-01\",\n \"formation_state\": \"NY\",\n \"is_customer\": true,\n \"metadata\": {},\n \"phone_number\": \"+14374570680\",\n \"spend_control_ids\": [\n \"7d943c51-e4ff-4e57-9558-08cab6b963c7\"\n ],\n \"structure\": \"CORPORATION\",\n \"tenant\": \"abcdef_ghijkl\",\n \"trade_names\": [\n \"Apex\",\n \"Apex LLC\",\n \"CorporationID#77231\"\n ],\n \"website\": \"https://example.com\"\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://api-sandbox.synctera.com/v0/businesses/{business_id}")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"compliance_restrictions\": [\n \"LICENSED_CANNABIS\"\n ],\n \"ein\": \"12-3456789\",\n \"email\": \"alice@example.com\",\n \"entity_name\": \"Apex Corporation\",\n \"formation_date\": \"2000-01-01\",\n \"formation_state\": \"NY\",\n \"is_customer\": true,\n \"metadata\": {},\n \"phone_number\": \"+14374570680\",\n \"spend_control_ids\": [\n \"7d943c51-e4ff-4e57-9558-08cab6b963c7\"\n ],\n \"structure\": \"CORPORATION\",\n \"tenant\": \"abcdef_ghijkl\",\n \"trade_names\": [\n \"Apex\",\n \"Apex LLC\",\n \"CorporationID#77231\"\n ],\n \"website\": \"https://example.com\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api-sandbox.synctera.com/v0/businesses/{business_id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"compliance_restrictions\": [\n \"LICENSED_CANNABIS\"\n ],\n \"ein\": \"12-3456789\",\n \"email\": \"alice@example.com\",\n \"entity_name\": \"Apex Corporation\",\n \"formation_date\": \"2000-01-01\",\n \"formation_state\": \"NY\",\n \"is_customer\": true,\n \"metadata\": {},\n \"phone_number\": \"+14374570680\",\n \"spend_control_ids\": [\n \"7d943c51-e4ff-4e57-9558-08cab6b963c7\"\n ],\n \"structure\": \"CORPORATION\",\n \"tenant\": \"abcdef_ghijkl\",\n \"trade_names\": [\n \"Apex\",\n \"Apex LLC\",\n \"CorporationID#77231\"\n ],\n \"website\": \"https://example.com\"\n}"
response = http.request(request)
puts response.read_body{
"is_customer": true,
"status": "ACTIVE",
"addresses": [
{
"address_line_1": "100 Main St.",
"country_code": "US",
"address_line_2": "Suite 99",
"address_type": "SHIPPING",
"city": "New York",
"id": "7d943c51-e4ff-4e57-9558-08cab6b963c7",
"is_registered_agent": true,
"nickname": "Home",
"postal_code": "28620",
"state": "NY"
}
],
"classifications": [
"AUTHORIZED_USER"
],
"compliance_restrictions": [
"LICENSED_CANNABIS"
],
"creation_time": "2010-05-06T12:23:34.321Z",
"customer_active": "2010-05-06T12:23:34.321Z",
"ein": "12-3456789",
"email": "alice@example.com",
"entity_name": "Apex Corporation",
"formation_date": "2000-01-01",
"formation_state": "NY",
"has_accounts": true,
"id": "7d943c51-e4ff-4e57-9558-08cab6b963c7",
"last_updated_time": "2010-05-06T12:23:34.321Z",
"legal_address": {
"address_line_1": "100 Main St.",
"country_code": "US",
"address_line_2": "Suite 99",
"address_type": "SHIPPING",
"city": "New York",
"id": "7d943c51-e4ff-4e57-9558-08cab6b963c7",
"is_registered_agent": true,
"nickname": "Home",
"postal_code": "28620",
"state": "NY"
},
"metadata": {},
"phone_number": "+14374570680",
"spend_control_ids": [
"7d943c51-e4ff-4e57-9558-08cab6b963c7"
],
"structure": "CORPORATION",
"tenant": "abcdef_ghijkl",
"trade_names": [
"Apex",
"Apex LLC",
"CorporationID#77231"
],
"verification_last_run": "2010-05-06T12:23:34.321Z",
"verification_status": "ACCEPTED",
"website": "https://example.com",
"vendor_info": {
"vendor_data": {
"loanpro": {
"customer_id": 12345
}
},
"vendor_type": "LOANPRO"
}
}{
"code": "BAD_REQUEST_BODY",
"detail": "missing required fields: first_name, dob",
"status": 400,
"title": "Bad Request Body",
"type": "https://dev.synctera.com/errors/bad-request-body"
}{
"code": "BAD_REQUEST_BODY",
"detail": "missing required fields: first_name, dob",
"status": 400,
"title": "Bad Request Body",
"type": "https://dev.synctera.com/errors/bad-request-body"
}{
"code": "BAD_REQUEST_BODY",
"detail": "missing required fields: first_name, dob",
"status": 400,
"title": "Bad Request Body",
"type": "https://dev.synctera.com/errors/bad-request-body"
}{
"code": "BAD_REQUEST_BODY",
"detail": "missing required fields: first_name, dob",
"status": 400,
"title": "Bad Request Body",
"type": "https://dev.synctera.com/errors/bad-request-body"
}{
"code": "BAD_REQUEST_BODY",
"detail": "missing required fields: first_name, dob",
"status": 400,
"title": "Bad Request Body",
"type": "https://dev.synctera.com/errors/bad-request-body"
}Authorizations
Headers
An idempotency key is an arbitrary unique value generated by client to detect subsequent retries of the same request. It is recommended that a UUID or a similar random identifier be used as an idempotency key. A different key must be used for each request, unless it is a retry.
Example:
"7d943c51-e4ff-4e57-9558-08cab6b963c7"
Path Parameters
Body
application/json
Represents a business customer.
Status of the business. One of the following:
PROSPECT– a potential customer, used for information-gathering and disclosures.ACTIVE– is an integrator defined status. Integrators should set a business to active if they believe the person to be qualified for conducting business. Synctera will combine this status with other statuses such a verification to determine if the business is eligible for specific actions such as initiating transactions or issuing a card.FROZEN– business's actions are blocked for security, legal, or other reasons.SANCTION– business is on a sanctions list and should be carefully monitored.DISSOLVED– an inactive status indicating a business entity has filed articles of dissolution or a certificate of termination to terminate its existence.CANCELLED– an inactive status indicating that a business entity has filed a cancellation or has failed to file its periodic report after notice of forfeiture of its rights to do business.SUSPENDED– an inactive status indicating that the business entity has lost the right to operate in it's registered jurisdiction.MERGED– an inactive status indicating that the business entity has terminated existence by merging into another entity.INACTIVE– an inactive status indicating that the business entity is no longer active.CONVERTED– An inactive status indicating that the business entity has been converted to another type of business entity in the same jurisdiction.
Available options:
ACTIVE, CANCELLED, CONVERTED, DISSOLVED, FROZEN, INACTIVE, MERGED, PROSPECT, SANCTION, SUSPENDED Response
Updated business representation.
Represents a business customer.
Status of the business. One of the following:
PROSPECT– a potential customer, used for information-gathering and disclosures.ACTIVE– is an integrator defined status. Integrators should set a business to active if they believe the person to be qualified for conducting business. Synctera will combine this status with other statuses such a verification to determine if the business is eligible for specific actions such as initiating transactions or issuing a card.FROZEN– business's actions are blocked for security, legal, or other reasons.SANCTION– business is on a sanctions list and should be carefully monitored.DISSOLVED– an inactive status indicating a business entity has filed articles of dissolution or a certificate of termination to terminate its existence.CANCELLED– an inactive status indicating that a business entity has filed a cancellation or has failed to file its periodic report after notice of forfeiture of its rights to do business.SUSPENDED– an inactive status indicating that the business entity has lost the right to operate in it's registered jurisdiction.MERGED– an inactive status indicating that the business entity has terminated existence by merging into another entity.INACTIVE– an inactive status indicating that the business entity is no longer active.CONVERTED– An inactive status indicating that the business entity has been converted to another type of business entity in the same jurisdiction.
Available options:
ACTIVE, CANCELLED, CONVERTED, DISSOLVED, FROZEN, INACTIVE, MERGED, PROSPECT, SANCTION, SUSPENDED The result of a KYC/KYB verification. One of the following:
UNVERIFIED– verification has not been completed for this customer.PENDING– verification is in progress for this customer.PROVISIONAL– partially verified or verified with restrictions.ACCEPTED– the customer has been verified.REVIEW– verification has run and issues have been identified and require review.REJECTED– the customer was rejected and should not be allowed to take certain actions e.g., open an account.
Available options:
ACCEPTED, PENDING, PROVISIONAL, REJECTED, REVIEW, UNVERIFIED Example:
"ACCEPTED"
Was this page helpful?

